/*
 * Debug.Java
 *
 * Copyright (c) 1999, 2000 The University of Utah and the Flux Group.
 * All rights reserved.
 * 
 * This file is part of Janos.
 * 
 * Janos is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License, version 2, as
 * published by the Free Software Foundation.
 * 
 * Janos is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details, in the file
 * COPYING.  If that file is not present, write to the Free
 * Software Foundation, 59 Temple Place - Suite 330, Boston, MA  
 * 02111-1307, USA
 * 
 * The University of Utah and the Flux Group requests users to
 * return to flux-dist@cs.utah.edu any improvements that they make.
 */
package JANOS_NODEOS_PKG;

/**
 * The package-internal debugging infrastructure.
 * <p>
 * XXX Currently this is public for my convenience (so ANTSR can use it).
 * <p>
 * XXX make private for ANTSv2.0 (which has its own debugging interface).
 * <p>
 * The majority of routines in this file deal with printing directly
 * to stdout/stderr through VM facilities.  See the corresponding
 * native layer for the details on where that output is directed.
 *
 * @author <a href="mailto:janos-discuss@flux.cs.utah.edu">Janos Ministry of Development</a>
 */
public final class Debug 
	extends NATIVE_DEBUG
{
	CHECK_NATIVE_NODEOS

	/* Just provide whatever static methods NATIVE_DEBUG provides */
}
