###
### Zip.mk
###
### Copyright (c) 2000 The University of Utah and the Flux Group.
### All rights reserved.
###
### This file is part of Janos.
### 
### Janos is free software; you can redistribute it and/or modify it
### under the terms of the GNU General Public License, version 2, as
### published by the Free Software Foundation.
### 
### Janos is distributed in the hope that it will be useful, but
### WITHOUT ANY WARRANTY; without even the implied warranty of
### MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
### GNU General Public License for more details, in the file
### COPYING.  If that file is not present, write to the Free
### Software Foundation, 59 Temple Place - Suite 330, Boston, MA  
### 02111-1307, USA
### 
### The University of Utah and the Flux Group requests users to
### return to flux-dist@cs.utah.edu any improvements that they make.
###

###
### This file should define no targets (other than mkdebug::)
###

## Default archiver to 'zip'
ifndef JAVA_ARCHIVER
JAVA_ARCHIVER:=zip
JAVA_ARCHIVER_TAG:=zip
endif

### ZIP archiver:
zip_EXTENSION:=zip
## We need recursion, update-semantics and *QUIET*.
zip_OPTS:=-ruq

### NONE archiver:
none_EXTENSION:=error-in-makefile
none_OPS:=error-in-makefile

###
### mkdebug target
###

.PHONY: mkdebug_Archiver.mk

mkdebug:: mkdebug_Archiver.mk

mkdebug_Archiver.mk::
	@echo 
	@echo "**** Archiver.mk settings:"
	@echo 
	@echo "    JAVA_ARCHIVER     = $(JAVA_ARCHIVER)"
	@echo "    JAVA_ARCHIVER_TAG = $(JAVA_ARCHIVER_TAG)"
	@echo "       _EXTENSION     = $($(JAVA_ARCHIVER)_EXTENSION)"
	@echo "       _OPTS          = $($(JAVA_ARCHIVER)_OPTS)"

# eof
